package ru.pricepulse.parsingservice.ozon_parser.service.parsing;

import java.util.List;

import org.springframework.stereotype.Service;
import ru.pricepulse.parsingservice.enumeration.Category;
import ru.pricepulse.parsingservice.ozon_parser.service.dto.ParsedData;
import ru.pricepulse.parsingservice.ozon_parser.service.page.OzonCategoryPage;

@Service
public class OzonPageParser {

    public List<ParsedData> parseProductsFromCategoryPage(String pageSource,
                                                          Category category) {
        OzonCategoryPage categoryPage = new OzonCategoryPage(pageSource);
        return categoryPage.getProducts(category);
    }

}
